%define modname http
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B16_%{modname}.ini

Summary:	Extended HTTP support module for PHP
Name:		php-%{modname}
Version:	2.6.0
Release:	%mkrel 4
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/pecl_http
Source0:	http://pecl.php.net/get/pecl_http-%{version}.tgz
Requires:	php-raphf >= 1.1.2
Requires:	php-propro >= 1.0.2
Requires:	php-hash
Requires:	php-iconv
Requires:	php-json
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	php-raphf >= 1.1.2
BuildRequires:	php-propro >= 1.0.2
BuildRequires:	curl-devel
BuildRequires:	event-devel
BuildRequires:	zlib-devel
BuildRequires:	php-cli
BuildRequires:	icu-devel
BuildRequires:	php-hash
BuildRequires:	php-iconv
BuildRequires:	php-json

%description
This HTTP extension aims to provide a convenient and powerful
set of functionality for one of PHPs major applications.

It eases handling of HTTP urls, headers and messages, provides
means for negotiation of a client's preferred content type,
language and charset, as well as a convenient way to send any
arbitrary data with caching and resuming capabilities.

It provides powerful request functionality with support for
parallel requests.

%prep

%setup -q -n pecl_http-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Mon Mar 20 2017 akien <akien> 2.6.0-4.mga6
+ Revision: 1093677
- Rebuild for icu 58.2

* Fri Mar 10 2017 rapsys <rapsys> 2.6.0-3.mga6
+ Revision: 1091543
- Fix deps and build deps

* Fri Mar 10 2017 rapsys <rapsys> 2.6.0-2.mga6
+ Revision: 1091525
- Add icu-devel to build deps
- Add php-cli to build deps
- Fix build deps
- Fix build deps
- Fix missing build deps
- Fix license and ini numbering
- imported package php-http

